<mat-table #table [dataSource]="dataSource">
  <ng-container matColumnDef="productID">
    <mat-header-cell *matHeaderCellDef>{{'productID' | translate}}</mat-header-cell>
    <mat-cell *matCellDef="let product">{{product.productID}}</mat-cell>
  </ng-container>
  <ng-container matColumnDef="name">
    <mat-header-cell *matHeaderCellDef>{{'name' | translate}}</mat-header-cell>
    <mat-cell *matCellDef="let product">{{product.name}}</mat-cell>
  </ng-container>
  <ng-container matColumnDef="price">
    <mat-header-cell *matHeaderCellDef>{{'price' | translate}}</mat-header-cell>
    <mat-cell *matCellDef="let product">{{product.price}}</mat-cell>
  </ng-container>
  <ng-container matColumnDef="description">
    <mat-header-cell *matHeaderCellDef>{{'description' | translate}}</mat-header-cell>
    <mat-cell *matCellDef="let product">{{product.description}}</mat-cell>
  </ng-container>
  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>
<mat-paginator #paginator [pageSize]="pageSize"></mat-paginator>
